### Method

# WPEPlatform Clipboard read_text

#### Declaration [src]

    char*
    wpe_clipboard_read_text (
      WPEClipboard* clipboard,
      const char* format,
      gsize* size
    )

#### Description [src]

Get the contents of `clipboard` for the given `format` as text.

#### Parameters

`format`

  Type: `const char*`

  The format of the text to read.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`size`

  Type: `gsize*`

  Location to return size of returned text.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `char*`

A new allocated string.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.